List:General Discussion« Previous MessageNext Message »
From:root Date:April 13 1999 8:53pm
Subject: Cannot upgrade MySQL version with rpm -U
View as plain text  
SEND-PR: -*- send-pr -*-
SEND-PR: Lines starting with `SEND-PR' will be removed automatically, as
SEND-PR: will all comments (text enclosed in `<' and `>').
SEND-PR:
From: ivan@stripped
To: mysql@stripped
Subject: Cannot upgrade MySQL version with rpm -U

>Description:
A few weeks ago I installed MySQL using the rpm-binary for i386 Linux.
This was version 3.22.20a. I now tried to upgrade this to 3.22.21 using
the rpm option -U. This always works with e.g. linux security patches.
Now I instead got the message:

[/tmp]# rpm -Uvh MySQL-3.22.21-1.i386.rpm 
/usr/bin/mysqlbug conflicts with file from MySQL-client-3.22.20a-1
error: MySQL-3.22.21-1.i386.rpm cannot be installed

>How-To-Repeat:
See above.

>Fix:
I would strongly suggest that you fix this problem if you're going to
distribute MySQL for rpm. If this doesn't work, there is not much 
use in downloading an rpm. It would then be prefereable to download
the source and compile it on your own machine.

>Submitter-Id:	<submitter ID>
>Originator:	Ivan Kronkvist
>Organization:  University of Minnesota
>MySQL support: none
>Synopsis:
>Severity:	serious
>Priority:	high
>Category:	mysql
>Class:		install-bug
>Release:	mysql-3.22.20a and 3.22.21
>Server: /usr/bin/mysqladmin  Ver 7.8 Distrib 3.22.20a, for pc-linux-gnu on i686
TCX Datakonsult AB, by Monty

Server version		3.22.20a
Protocol version	10
Connection		Localhost via UNIX socket
UNIX socket		/var/lib/mysql/mysql.sock
Uptime:			44 min 56 sec

Threads: 1  Questions: 1  Slow queries: 0  Opens: 6  Flush tables: 1  Open tables: 2
>Environment:
	<machine, os, target, libraries (multiple lines)>
System: Linux g2vme.hep.umn.edu 2.0.36 #1 Tue Oct 13 22:17:11 EDT 1998 i586 unknown
Architecture: i586

Some paths:  /usr/bin/perl /usr/bin/make /usr/bin/gmake /usr/bin/gcc /usr/bin/cc
GCC: Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.7.2.3/specs
gcc version 2.7.2.3
Compilation info: CC='gcc'  CFLAGS='-O6 -fomit-frame-pointer -mpentium'  CXX='gcc' 
CXXFLAGS='-O6 -fomit-frame-pointer 	          -felide-constructors -fno-exceptions
-fno-rtti -mpentium'  LDFLAGS=''
Configure command: ./configure  --enable-shared --enable-assembler --disable-shared
--with-mysqld-ldflags=-all-static --with-client-ldflags=-all-static
--with-mysqld-user=mysql --with-unix-socket-path=/var/lib/mysql/mysql.sock --prefix=/
--exec-prefix=/usr --libexecdir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share
--localstatedir=/var/lib/mysql --infodir=/usr/info --includedir=/usr/include
--mandir=/usr/man
Perl: This is perl, version 5.004_04 built for i386-linux
Thread
Cannot upgrade MySQL version with rpm -Uroot14 Apr